#include	"p18f4550.h"
#include	"main.h"
#include	"lcd.h"
#include	"graphics.h"
/** V E C T O R  R E M A P P I N G *******************************************/
#pragma code

extern void _startup (void);        // See c018i.c in your C18 compiler dir
#pragma code _RESET_INTERRUPT_VECTOR = 0x1000
void _reset (void)
{
    _asm goto _startup _endasm
}
#pragma code _HIGH_INTERRUPT_VECTOR = 0x1008
void _high_ISR (void)
{
        _asm goto high_isr _endasm
}

#pragma code _LOW_INTERRUPT_VECTOR = 0x1018
void _low_ISR (void)
{
    _asm goto low_isr _endasm
}
#pragma code

/** D E C L A R A T I O N S **************************************************/
/******************************************************************************
 * Function:        void high_isr(void)
 *****************************************************************************/
#pragma interrupt high_isr
void high_isr(void)
{

}

/******************************************************************************
 * Function:        void low_isr(void)
 *****************************************************************************/
#pragma interruptlow low_isr
void low_isr(void)
{
}
#pragma code

/** D E C L A R A T I O N S **************************************************/
#pragma code
/******************************************************************************
 * Function:        void main(void)
 *****************************************************************************/
void	main(void)
{
	lcd_graphics_init();
	lcd_graphics_clear();
	g_draw_rectangle(6, 5, 100, 30);
	g_draw_rectangle(8, 7, 100, 30);
	g_draw_rectangle(10, 9, 100, 30);
	g_draw_rectangle(12, 11, 100, 30);
	g_draw_string(17, 15,"HALLO");  
	while(1)
		{

		}
		
}
